# Interface PixSampler.StatMode

Enclosing class:
  `PixSampler`

public static interface PixSampler.StatMode
Defines how statistics are to be acquired from a pixel or set of pixels.

Since:
  5 Dec 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Object`
`getResult(Object[] values)`
Returns the result of some statistical operation on a set of supplied values.
`uk.ac.starlink.table.ColumnInfo`
`getResultInfo(uk.ac.starlink.table.ColumnInfo baseInfo)`
Provides a column metadata object describing the output of this mode, given the metadata of the input.
`boolean`
`isPoint()`
Indicates whether this operation is point-like.

## Method Details

### getResultInfo

uk.ac.starlink.table.ColumnInfo getResultInfo(uk.ac.starlink.table.ColumnInfo baseInfo)
Provides a column metadata object describing the output of this mode, given the metadata of the input.

Parameters:
  `baseInfo` - input data metadata
Returns:
  output data metadata

### getResult

Object getResult(Object[] values)
Returns the result of some statistical operation on a set of supplied values.

Parameters:
  `values` - array of input values
Returns:
  result of statistical operation

### isPoint

boolean isPoint()
Indicates whether this operation is point-like. If so, only a single value should be supplied to the `getResult(Object[])` method.

Returns:
  true iff this operation is point-like